Peer
Network peer and validator information
Retrieve Address and Routing (ANR) information for a specific peer by public key
Path parameters
pkstringRequired
Public key (Base58 encoded)
Responses
200
ANR information
application/json
errorstringOptionalExample:
okanrobjectOptional
Address and Routing information
get/api/peer/anr/{pk}
GET /api/peer/anr/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
ANR information
{
"error": "ok",
"anr": {}
}Retrieve Address and Routing information for all active validators
Responses
200
List of validator ANRs
application/json
errorstringOptionalExample:
okanrsobject[]Optional
get/api/peer/anr_validators
GET /api/peer/anr_validators HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
List of validator ANRs
{
"error": "ok",
"anrs": [
{}
]
}Retrieve Address and Routing information for all known peers
Responses
200
List of all ANRs
application/json
errorstringOptionalExample:
okanrsobject[]Optional
get/api/peer/anr
GET /api/peer/anr HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
List of all ANRs
{
"error": "ok",
"anrs": [
{}
]
}Retrieve information about all connected nodes
Responses
200
List of nodes
application/json
errorstringOptionalExample:
oknodesobject[]Optional
get/api/peer/nodes
GET /api/peer/nodes HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
List of nodes
{
"error": "ok",
"nodes": [
{}
]
}Retrieve list of all active validator nodes
Responses
200
List of trainers
application/json
errorstringOptionalExample:
oktrainersobject[]Optional
get/api/peer/trainers
GET /api/peer/trainers HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
List of trainers
{
"error": "ok",
"trainers": [
{}
]
}Retrieve list of validators that have been removed
Responses
200
List of removed trainers
application/json
errorstringOptionalExample:
okremoved_trainersobject[]Optional
get/api/peer/removed_trainers
GET /api/peer/removed_trainers HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
List of removed trainers
{
"error": "ok",
"removed_trainers": [
{}
]
}Last updated